kdecore Library: KShellProcess Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KShellProcess Class Reference

A class derived from KProcess to start child processes through a shell. More...

`#include <kprocess.h>`

Inheritance diagram for KShellProcess:

[legend]
Collaboration diagram for KShellProcess:

[legend]
List of all members.

## Public Member Functions
| KShellProcess (const char *shellname=0)
| ~KShellProcess ()
virtual bool | start (RunMode runmode=NotifyOnExit, Communication comm=NoCommunication)
## Static Public Member Functions
static QString | quote (const QString &arg)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A class derived from KProcess to start child processes through a shell.

Deprecated:

Use KProcess and KProcess::setUseShell(true) instead.

Author:
  Christian Czezatke <e9025461@student.tuwien.ac.at>

Definition at line 883 of file kprocess.h.

## Constructor & Destructor Documentation

KShellProcess::KShellProcess | ( | const char * | shellname = `0` | ) |

| Constructor. If no shellname is specified, the user's default shell is used. Definition at line 1110 of file kprocess.cpp. References KProcess::setUseShell().

KShellProcess::~KShellProcess | ( |  | ) |

| Destructor. Definition at line 1116 of file kprocess.cpp.

## Member Function Documentation

bool KShellProcess::start | ( | RunMode | runmode = `NotifyOnExit`,
|  | Communication | comm = `NoCommunication`
| ) | `[virtual]`

  | Starts the process. For a detailed description of the various run modes and communication semantics, have a look at the general description of the KProcess class. Note that if you use setUsePty( Stdout | Stderr, <bool> ), you cannot use Stdout | Stderr here - instead, use Stdout only to receive the mixed output. The following problems could cause this function to return false: The process is already running. The command line argument list is empty. The the `comm` parameter is incompatible with the selected pty usage. The starting of the process failed (could not fork). The executable was not found. Parameters:
  | runmode | The Run-mode for the process.
  | comm | Specifies which communication links should be established to the child process (stdin/stdout/stderr). By default, no communication takes place and the respective communication signals will never get emitted.
Returns: true on success, false on error (see above for error conditions) Reimplemented from KProcess. Definition at line 1124 of file kprocess.cpp. References KProcess::start().

QString KShellProcess::quote | ( | const QString & | arg | ) | `[static]`

  | This function can be used to quote an argument string such that the shell processes it properly. This is e. g. necessary for user-provided file names which may contain spaces or quotes. It also prevents expansion of wild cards and environment variables. Parameters:
  | arg | the argument to quote
Returns: the quoted argument Since: 3.1 Reimplemented from KProcess. Definition at line 1119 of file kprocess.cpp. References KProcess::quote().

The documentation for this class was generated from the following files:

- kprocess.h
- kprocess.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:02 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003